general {
    lock_cmd = hyprlock
    before_sleep_cmd = loginctl lock-session
    after_sleep_cmd = hyprctl dispatch dpms on
}

# Turn off monitors after 5 min
listener {
    timeout = 300
    on-timeout = hyprctl dispatch dpms off
    on-resume  = hyprctl dispatch dpms on
}

# Lock screen after 10 min
listener {
    timeout = 600
    on-timeout = loginctl lock-session
}

# Suspend after 20 min
listener {
    timeout = 1200
    on-timeout = systemctl suspend
}

